Bug 177885 - [patch] cp(1): regression on cp performance
Summary: [patch] cp(1): regression on cp performance
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 9.1-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-16 18:10 UTC by Andre.Albsmeier
Modified: 2018-01-03 05:16 UTC (History)
0 users

See Also:


Attachments
file.diff (301 bytes, patch)
2013-04-16 18:10 UTC, Andre.Albsmeier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andre.Albsmeier 2013-04-16 18:10:00 UTC
When copying large files (300MB here) with cp from the local
machine to a NFS mounted drive, the performance is bad:

user@host:>time cp file /mnt/
cp file /mnt/  0,00s user 1,50s system 5% cpu 25,246 total

When reverting the effects of r184342 of bin/cp/utils.c by
the patch shown below, performance is back again:

user@host:>time cp file /mnt/
cp file /mnt/  0,00s user 0,43s system 7% cpu 5,732 total

Verified on several hosts, all running FreeBSD 9.1-STABLE,
all using UFS (not ZFS).

FreeBSD 7.4 does not show this bug since r184342 wasn't
merged here.

Fix: Revert r184342 or use this patch:
How-To-Repeat: 
See above.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:48 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped